cat << +END+ > head
<!doctype html public "-//IETF//DTD HTML//EN">

<HTML>

<HEAD>
<TITLE>A introduction to HTML and CGI scripts on the WWW</TITLE>
<LINK TITLE="HTML WWW CGI web guide interactive introduction use example"
      HREF="mailto:M.A.Smith@brighton.ac.uk" >
</HEAD>

<!-- -------------------------------------------------- -->

<BODY BACKGROUND="pic/backgrd.jpg">

<BANNER>
<CENTER>
<TABLE ID="Banner" BORDER CELLPADDING=2>
 <TD ALIGN=LEFT> <IMG SRC="pic/dot.gif" ALT="*"  ALIGN="TOP"> </A></TD>
 <TD ALIGN=LEFT> 
  <A HREF="html.htm"> [A guide to HTML and CGI scripts]</A> 
 </TD>
 <TD ALIGN=LEFT> <IMG SRC="pic/dot.gif" ALT="*"  ALIGN="TOP"> </A></TD>
</TABLE>
</CENTER>
</BANNER>
<P>
<FONT SIZE=+3>I</FONT>f you wish, 
you can modify the HTML tags and text in the window to
try out your own ideas.

By pressing view, the text in the window will be sent back to your browser
to be displayed. <I>Use the back button on your browser to return to
the original document.</I>
<P>
This before text allows you to see the effect of the HTML in context.

<FORM ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_try">
 <TEXTAREA NAME="feedback" ROWS=12 COLS=75>
+END+

cat << +END+ > tail
 </TEXTAREA>
 <P>
 This after text allows you to see the effect of the HTML in context.
 <P>
 <INPUT TYPE="submit" NAME="button" VALUE="View"> the processed HTML.

</FORM>


<HR>
The material in these WWW page(s) is copyright &#169; M.A.Smith October 1995<BR>
Last modified 14 February 1996
<ADDRESS>
Comments, suggestions, etc. 
<A HREF="mailto:M.A.Smith@brighton.ac.uk">
M.A.Smith@brighton.ac.uk
</A>
</ADDRESS>

</BODY>

</HTML>
+END+


cat head > try_ex.htm
cat << +END+ >> try_ex.htm
&lt;P>
Creating a document using HTML is just like using a 
very old word processor.
&lt;P>
+END+
cat tail >> try_ex.htm


cat head > try_bd.htm
cat << +END+ >> try_bd.htm
The &lt;B>text&lt;/B> is bolded.
The &lt;TT>text&lt;/TT> is in a teletype font.
The &lt;FONT SIZE=+2>text&lt;/FONT> is 2 sizes larger.
+END+
cat tail >> try_bd.htm

cat head > try_pg.htm
cat << +END+ >> try_pg.htm
Last sentence of a paragraph
&lt;P>
The first line of a new paragraph.
A line of text
&lt;BR>
On a new line;
+END+
cat tail >> try_pg.htm

cat head > try_dl.htm
cat << +END+ >> try_dl.htm
&lt;DL>
 &lt;DT>
 Definition tag.
 &lt;DD>
 Text of the definition list.
 Which may stretch over several
 lines.
 &lt;DT>
 Another definition tag.
 &lt;DD>
 Text of the definition list.
&lt;/DL>
+END+
cat tail >> try_dl.htm

cat head > try_h6.htm
cat << +END+ >> try_h6.htm
&lt;H6>A TITLE&lt;/H6>
+END+
cat tail >> try_h6.htm

cat head > try_hr.htm
cat << +END+ >> try_hr.htm
The size of the ruler&lt;HR SIZE=10>New section
+END+
cat tail >> try_hr.htm

cat head > try_mas.htm
cat << +END+ >> try_mas.htm
Tue Aug 29 19:46:53 1995 test      []                  []                  
Tue Aug 29 19:49:10 1995 ~m/test   []                  []                  
+END+
cat tail >> try_mas.htm

cat head > try_ol.htm
cat << +END+ >> try_ol.htm
&lt;OL>
&lt;LI>Item one of list
&lt;LI>Item two of list
&lt;/OL>
+END+
cat tail >> try_ol.htm


cat head > try_pre.htm
cat << +END+ >> try_pre.htm
&lt;PRE>
   *
  *&lt;B>*&lt;/B>*
 *****
&lt;/PRE>
+END+
cat tail >> try_pre.htm

cat head > try_ul.htm
cat << +END+ >> try_ul.htm
&lt;UL>
&lt;LI>Item one of list
&lt;LI>Item two of list
&lt;/UL>
+END+
cat tail >> try_ul.htm

cat head > try_tab1.htm
cat << +END+ >> try_tab1.htm
&lt;TABLE BORDER CELLPADDING=2>
&lt;TD>
 Text in a table
&lt;/TD>
&lt;/TABLE>
+END+
cat tail >> try_tab1.htm

cat head > try_tab2.htm
cat << +END+ >> try_tab2.htm
&lt;TABLE BORDER CELLPADDING=2>
 &lt;TD> Data cell 1 &lt;/TD>
 &lt;TD> Data cell 2 &lt;/TD>
&lt;/TABLE>
+END+
cat tail >> try_tab2.htm

cat head > try_tab3.htm
cat << +END+ >> try_tab3.htm
&lt;TABLE BORDER CELLPADDING=2>
 &lt;TD> Data cell 1 &lt;/TD>
 &lt;TD> Data cell 2 &lt;/TD>
&lt;TR>
 &lt;TD> Data cell 3 &lt;/TD>
 &lt;TD> Data cell 4 &lt;/TD>
&lt;/TABLE>
+END+
cat tail >> try_tab3.htm

cat head > try_tab4.htm
cat << +END+ >> try_tab4.htm
&lt;TABLE BORDER CELLPADDING=2>
 &lt;TH ALIGN=LEFT>Language&lt;/TH>
 &lt;TH ALIGN=LEFT COLSPAN=2>Encapsulation&lt;/TH>
&lt;TR>
 &lt;TD> Ada 95&lt;/TD>
 &lt;TD ROWSPAN=2>Using&lt;/TD>
 &lt;TD> Class&lt;/TD>
&lt;TR>
 &lt;TD> C++&lt;/TD>
 &lt;TD> Package&lt;/TD>
&lt;/TABLE>
+END+
cat tail >> try_tab4.htm

cat head > try_pl.htm
cat << +END+ >> try_pl.htm
The browser will ignore
new lines and extra
spaces in the text.
+END+
cat tail >> try_pl.htm

cat head > try_for1.htm
cat << +END+ >> try_for1.htm
&lt;FORM ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_form">
&lt;INPUT TYPE="text" NAME="name"
       SIZE=20 VALUE="Your name">
&lt;/FORM>
+END+
cat tail >> try_for1.htm

cat head > try_for2.htm
cat << +END+ >> try_for2.htm
&lt;FORM ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_form">
Enter PIN Number&lt;BR>
&lt;INPUT TYPE="password" NAME="PIN"
       SIZE=20 VALUE="">
&lt;/FORM>
+END+
cat tail >> try_for2.htm

cat head > try_for3.htm
cat << +END+ >> try_for3.htm
&lt;FORM ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_form">
&lt;TEXTAREA NAME="feedback" ROWS=5 COLS=20>
My thoughts so far are:
&lt;/TEXTAREA>
&lt;BR>
&lt;INPUT TYPE="submit" NAME="button" 
       VALUE="Send">
&lt;/FORM>
+END+
cat tail >> try_for3.htm

cat head > try_for4.htm
cat << +END+ >> try_for4.htm
&lt;FORM ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_form">
Age&lt;BR>
&lt;INPUT TYPE="radio" NAME="age" VALUE="a">&lt;18&lt;BR>
&lt;INPUT TYPE="radio" NAME="age" VALUE="b" 
       CHECKED>18-65&lt;BR>
&lt;INPUT TYPE="radio" NAME="age" VALUE="c">65+&lt;BR>
&lt;INPUT TYPE="submit" NAME="button" VALUE="Send">
&lt;/FORM>
+END+
cat tail >> try_for4.htm

cat head > try_for5.htm
cat << +END+ >> try_for5.htm
&lt;FORM ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_form">
Use&lt;BR>
&lt;INPUT TYPE="checkbox" NAME="use"
       VALUE="C++" CHECKED>C++&lt;BR>
&lt;INPUT TYPE="checkbox" NAME="use"
       VALUE="Ada">Ada&lt;BR>
&lt;INPUT TYPE="checkbox" NAME="use"
       VALUE="COBOL">COBOL&lt;BR>
&lt;INPUT TYPE="submit" NAME="button"
       VALUE="send">
&lt;/FORM>
+END+
cat tail >> try_for5.htm

cat head > try_for6.htm
cat << +END+ >> try_for6.htm
&lt;FORM ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_form">
Media used is&lt;BR>
&lt;SELECT NAME="Media">
        &lt;OPTION SELECTED> Disk
        &lt;OPTION> Floppy disk
        &lt;OPTION> DAT tape
&lt;/SELECT>
&lt;BR>
&lt;INPUT TYPE="submit" NAME="button"
       VALUE="Send">
&lt;/FORM>
+END+
cat tail >> try_for6.htm

cat head > try_for7.htm
cat << +END+ >> try_for7.htm
&lt;FORM ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_form">
Drinks that I like&lt;BR>
&lt;INPUT TYPE="checkbox" NAME="Like"
       VALUE="Coffee" >Coffee&lt;BR>
&lt;INPUT TYPE="checkbox" NAME="Like"
       VALUE="Tea">Tea&lt;BR>
&lt;INPUT TYPE="reset" VALUE="Reset">
&lt;INPUT TYPE="submit" NAME="button"
       VALUE="Send">
&lt;/FORM>
+END+
cat tail >> try_for7.htm

cat head > try_for8.htm
cat << +END+ >> try_for8.htm
Select a point<BR>
&lt;FORM ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_form">
&lt;INPUT NAME="image" TYPE="IMAGE"
       SRC="http://snowwhite.it.brighton.ac.uk/~mas/mas/pic/mas_fn50.jpg"
       ALIGN=TOP>
&lt;/FORM>
+END+
cat tail >> try_for8.htm

cat head > try_for9.htm
cat << +END+ >> try_for9.htm
 <FORM ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_form">
 Enter next move<BR>
 <INPUT TYPE="hidden" NAME="game" VALUE="P123456">
 <INPUT TYPE="text" NAME="move" SIZE=2>
 </FORM>
+END+
cat tail >> try_for9.htm

cat head > try_log.htm
cat << +END+ >> try_log.htm
The following &lt;CITE>citation&lt;/CITE>is taken from
a book.
+END+
cat tail >> try_log.htm

cat head > try_img.htm
cat << +END+ >> try_img.htm
<IMG SRC="http://snowwhite.it.brighton.ac.uk/~mas/mas/pic/mas_fn50.jpg" 
     ALT="mas" ALIGN=TOP>jpeg image.
<BR>
A gif image 
<IMG SRC="http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/pic/sdot.gif"
     ALIGN=TOP>
with a transparent background
+END+
cat tail >> try_img.htm

cat head > try_pgt.htm
cat << +END+ >> try_pgt.htm
&lt;FORM METHOD="post" 
      ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_form">
&lt;INPUT TYPE="text" NAME="name"
       SIZE=20 VALUE="Try it (post)">
&lt;/FORM>
+END+
cat tail >> try_pgt.htm

cat head > try_but.htm
cat << +END+ >> try_but.htm
&lt;FORM ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_form">
&lt;INPUT TYPE="submit" NAME="button" VALUE=" A ">
&lt;INPUT TYPE="submit" NAME="button" VALUE=" B ">
&lt;/FORM>
+END+
cat tail >> try_but.htm


cat head > try_anc.htm
cat << +END+ >> try_anc.htm
The following hyper text link will take you to the 
document
&lt;A HREF="http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/try_m1.htm">
Hyper text link to try_m1.htm
&lt;/A>
&lt;P>
There is also a document named try_m2.
+END+
cat tail >> try_anc.htm

rm try_m1.htm
: cat head > try_m1.htm
cat << +END+ >> try_m1.htm
<H1>The document try_m1.htm</H1>
Go &lt;A HREF="try_anc.htm"> back </A>
to the try it document about anchors
<P>
Use the back button on your browser to return to
the original document.
<P>
+END+
: cat tail >> try_m1.htm


rm try_m2.htm
: cat head > try_m2.htm
cat << +END+ >> try_m2.htm
<H1>The document try_m2.htm</H1>
Go <A HREF="try_anc.htm"> back </A>
to the try it document about anchors
<P>
Use the back button on your browser to return to
the original document.
<P>
+END+
: cat tail >> try_m2.htm


rm try_col0.htm
cat head > try_col0.htm
cat << +END+ >> try_col0.htm
&lt;P>
The text is now in the colour
&lt;FONT COLOR="yellow">Yellow &lt;/FONT>
+END+
cat tail >> try_col0.htm 

rm try_col1.htm
cat head > try_col1.htm
cat << +END+ >> try_col1.htm
&lt;P>
The text is now in the colour
&lt;FONT COLOR="#FFFF00">Yellow &lt;/FONT>
+END+
cat tail >> try_col1.htm 

rm try_run.htm
cat head > try_run.htm
cat << +END+ >> try_run.htm
&lt;P>
This should run a CGI script in a user home directory.
&lt;P>
&lt;A HREF="http://snowwhite.it.bton.ac.uk/cgi-bin/bsc_run?user=mas&file=test">
Execute CGI script
&lt;/A>
&lt;P>
+END+
cat tail >> try_run.htm 

cat << +END+ > sed.jcl
/feedback/s/</<INPUT TYPE="hidden" NAME="nowrap" VALUE="y"> </
/This after text allows/d
/This before text allows/d
+END+

rm try_col2.htm
: cat head > try_col2.htm
sed -f sed.jcl < head >try_col2.htm
cat << +END+ >> try_col2.htm
&lt;HTML>
&lt;P>
&lt;BODY BGCOLOR="#00FF00" TEXT="red" LINK="#0000FF">
 This is normal text which is in the body of an HTML page.
 &lt;UL>
  &lt;LI>
   &lt;A HREF=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/try_col2.htm">
       Example link 
   &lt;/A>
  &lt;LI>
   &lt;A HREF=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/try_col2.htm">
       Example link 
   &lt;/A>
 &lt;/UL>
&lt;/BODY>
&lt;/HTML>
+END+
sed -f sed.jcl < tail >> try_col2.htm
: cat tail >> try_col2.htm 


rm try_fr01.htm
: cat head > try_fr01.htm
sed -f sed.jcl < head > try_fr01.htm
cat << +END+ >> try_fr01.htm
&lt;HTML>
 &lt;FRAMESET COLS="30%,70%">
  &lt;NOFRAMES>Sorry does not support frames&lt;/NOFRAMES>
  &lt;FRAME SRC=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/fr-txt1.htm">
  &lt;FRAME SRC=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/fr-txt2.htm"
       NAME="results" >
 &lt;/FRAMESET>
&lt;/HTML>
+END+
sed -f sed.jcl < tail >> try_fr01.htm
: cat tail >> try_fr01.htm 

rm try_fr02.htm
: cat head > try_fr02.htm
sed -f sed.jcl < head > try_fr02.htm
cat << +END+ >> try_fr02.htm
&lt;HTML>
 &lt;FRAMESET ROWS="30%,30%,40%">
  &lt;NOFRAMES>Sorry does not support frames&lt;/NOFRAMES>
  &lt;FRAME SRC=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/fr-txt1.htm">
  &lt;FRAME SRC=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/fr-txt2.htm">
  &lt;FRAME SRC=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/fr-txt3.htm">
 &lt;/FRAMESET>
&lt;/HTML>
+END+
sed -f sed.jcl < tail >> try_fr02.htm


rm try_fr03.htm
: cat head > try_fr03.htm
sed -f sed.jcl < head > try_fr03.htm
cat << +END+ >> try_fr03.htm
&lt;HTML>
 &lt;HEAD>
  &lt;TITLE>Page with frames&lt;/TITLE>
 &lt;/HEAD>
 &lt;FRAMESET COLS="50%,50%">
   &lt;NOFRAMES>Sorry does not support frames&lt;/NOFRAMES>
   &lt;FRAMESET ROWS="50%,50%%">
     &lt;FRAME SRC=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/fr-txt1.htm">
     &lt;FRAME SRC=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/fr-txt1.htm">
   &lt;/FRAMESET>
   &lt;FRAMESET ROWS="40%,20%,40%">
     &lt;FRAME SRC=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/fr-txt1.htm">
     &lt;FRAME SRC=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/fr-txt2.htm">
     &lt;FRAME SRC=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/fr-txt3.htm">
   &lt;/FRAMESET>
 &lt;/FRAMESET>
&lt;/HTML>
+END+
sed -f sed.jcl < tail >> try_fr03.htm
: cat tail >> try_fr01.htm 


rm try_fr10.htm
: cat head > try_fr10.htm
sed -f sed.jcl < head > try_fr10.htm
cat << +END+ >> try_fr10.htm
&lt;HTML>
 &lt;FRAMESET COLS="30%,70%">
  &lt;FRAME SRC=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/fr-txt11.htm">
  &lt;FRAME SRC=
       "http://snowwhite.it.brighton.ac.uk/~mas/mas/courses/html/fr-txt12.htm" NAME="results">
 &lt;/FRAMESET>
&lt;/HTML>
+END+
sed -f sed.jcl < tail >> try_fr10.htm
: cat tail >> try_fr10.htm 


rm -f head tail sed.jcl

