
cat << +END+ > head
<!doctype html public "-//IETF//DTD HTML//EN">

<HTML>

<HEAD>
<TITLE>A introduction to HTML and CGI scripts on the WWW</TITLE>
<LINK TITLE="HTML WWW CGI web guide interactive introduction use example"
      HREF="mailto:M.A.Smith@brighton.ac.uk" >
</HEAD>

<!-- -------------------------------------------------- -->
+END+





cat << +END+ > tail
<P>
<HR>
The material in these WWW page(s) is &#169; M.A.Smith February 1996<BR>
(C) Last modified 14 February 1996
<ADDRESS>
Comments, suggestions, etc. 
<A HREF="mailto:M.A.Smith@brighton.ac.uk">
M.A.Smith@brighton.ac.uk
</A>
</ADDRESS>

</BODY>

</HTML>
+END+






cat head > fr-txt1.htm
cat << +END+ >> fr-txt1.htm
<HTML>
<BODY>
<H2>Example web page Number 1</H2>
This is a normal web page which contains all the normal HTML
formatting tags.

<P>
 <TABLE BORDER CELLPADDING=2>
  <TH ALIGN=LEFT>Language</TH>
  <TH ALIGN=LEFT COLSPAN=2>Encapsulation <BR> </TH>
 <TR>
  <TD> Ada 95</TD>
  <TD ROWSPAN=2>Using</TD>
  <TD> Class</TD>
 <TR>
  <TD> C++</TD>
  <TD> Package</TD>
 </TABLE>
 </TD>
+END+
cat tail >> fr-txt1.htm





cat head > fr-txt2.htm
cat << +END+ >> fr-txt2.htm
<H2>Example web page Number 2</H2>
This is a normal web page which contains all the normal HTML
formatting tags.

<P>
Even a <A HREF="fr-ex1.htm">link</A> to a page which contains frames.
<P>
<TABLE BORDER CELLPADDING=2>

 <TD ALIGN=LEFT> Inserted image</TD>
 <TH ALIGN=LEFT> HTML markup required <BR>  </TH>

<TR>
 <TD ALIGN=LEFT>
 <IMG SRC="../../pic/mas_fn50.jpg"
      ALT="mas" ALIGN=TOP>jpeg
 </TD>

 <TD ALIGN=LEFT>
 <PRE>
 &lt;IMG SRC="mas_fn50.jpg"
      ALT="mas" ALIGN=TOP>jpeg
 </PRE>
 </TD>
</TABLE>

<P> <A HREF="try_img.htm"> <IMG SRC="pic/try_it.gif" ALT="Try it"> </A> <P>

<P>
Right mouse click in frame to select a pop up menu, 
which will allow you to navigate back and forth between 
the selected URL's in the frame.

+END+
cat tail >> fr-txt2.htm






cat head > fr-txt3.htm
cat << +END+ >> fr-txt3.htm
<H2>Example web page Number 3</H2>
This is a normal web page which contains all the normal HTML
formatting tags.

<P>
Even a <A HREF="fr-ex1.htm">link</A> to a page which contains frames.
<P>
A form to request the user to enter text which is to be sent to the
CGI script mas_form is shown below.
This is introduced by the &lt;INPUT> tag.

<P>
<TABLE BORDER CELLPADDING=2>

 <TH ALIGN=LEFT> Generated form</TH>
 <TH ALIGN=LEFT> HTML markup required <BR>  </TH>

<TR>
 <TD ALIGN=LEFT>
 <FORM ACTION="http://snowwhite.it.brighton.ac.uk/cgi-bin/mas/mas_form">
 <INPUT TYPE="text" NAME="name"
        SIZE=20 VALUE="Your name">
 </FORM>
 </TD>

 <TD ALIGN=LEFT>
 <PRE>

 &lt;FORM ACTION="http://host/cgi-bin/mas_form">
 &lt;INPUT TYPE="text" NAME="name"
        SIZE=20 VALUE="Your name">
 &lt;/FORM>
 </PRE>
</TABLE>

<P>
Right mouse click in frame to select a pop up menu, 
which will allow you to navigate back and forth between 
the selected URL's in the frame.

+END+
cat tail >> fr-txt3.htm

rm fr-txt11.htm
cat head > fr-txt11.htm
cat << +END+ >> fr-txt11.htm
<H2>Example web page targeting</H2>
<UL>
<LI><A HREF="fr-txt21.htm" TARGET="results">Display A</A>
<LI><A HREF="fr-txt22.htm" TARGET="results">Display B</A>
<LI><A HREF="fr-txt23.htm" TARGET="results">Display C</A>
</UL>
+END+
cat tail >> fr-txt11.htm


rm fr-txt12.htm
cat head > fr-txt12.htm
cat << +END+ >> fr-txt12.htm
<H2>The target</H2>
+END+
cat tail >> fr-txt12.htm



rm fr-txt21.htm
cat head > fr-txt21.htm
cat << +END+ >> fr-txt21.htm
<H2>Display A</H2>
A is the first letter of the alphabet.
+END+
cat tail >> fr-txt21.htm



rm fr-txt22.htm
cat head > fr-txt22.htm
cat << +END+ >> fr-txt22.htm
<H2>Display B</H2>
B is the second letter of the alphabet.
+END+
cat tail >> fr-txt22.htm



rm fr-txt23.htm
cat head > fr-txt23.htm
cat << +END+ >> fr-txt23.htm
<H2>Display C</H2>
C is the third letter of the alphabet.
However to many computer scientists it the name of that
magical language.
+END+
cat tail >> fr-txt23.htm


cat << +END+ > fr-ex1.htm
<HTML>
 <HEAD>
  <TITLE>Page with frames</TITLE>
 </HEAD>
<FRAMESET COLS="30%,70%">
  <NOFRAMES>Sorry no frames in your browser</NOFRAMES>
  <FRAME SRC=fr-txt1.htm >
  <FRAME SRC=fr-txt2.htm >
</FRAMESET>
</HTML>
+END+

cat << +END+ > fr-ex2.htm
<HTML>
 <HEAD>
  <TITLE>Page with frames</TITLE>
 </HEAD>
<FRAMESET ROWS="30%,30%,40%">
  <NOFRAMES>Sorry no frames in your browser</NOFRAMES>
  <FRAME SRC=fr-txt1.htm >
  <FRAME SRC=fr-txt2.htm >
  <FRAME SRC=fr-txt3.htm >
</FRAMESET>
</HTML>
+END+

cat << +END+ > fr-ex3.htm
<HTML>
 <HEAD>
  <TITLE>Page with frames</TITLE>
 </HEAD>
 <FRAMESET COLS="50%,50%">
   <NOFRAMES>Sorry no frames in your browser</NOFRAMES>
   <FRAMESET ROWS="50%,50%%">
     <FRAME SRC=fr-txt1.htm >
     <FRAME SRC=fr-txt1.htm >
   </FRAMESET>
   <FRAMESET ROWS="40%,20%,40%">
     <FRAME SRC=fr-txt1.htm >
     <FRAME SRC=fr-txt2.htm >
     <FRAME SRC=fr-txt3.htm >
   </FRAMESET>
 </FRAMESET>
</HTML>
+END+



cat << +END+ > fr-ex4.htm
<HTML>
 <HEAD>
  <TITLE>Page with frames</TITLE>
 </HEAD>
<FRAMESET COLS="30%,30%,40%">
  <NOFRAMES>Sorry no frames in your browser</NOFRAMES>
  <FRAME SRC=fr-txt1.htm >
  <FRAME SRC=fr-txt2.htm >
  <FRAME SRC=fr-txt3.htm >
</FRAMESET>
</HTML>
+END+



cat << +END+ > fr-ex10.htm
<HTML>
 <HEAD>
  <TITLE>Page with targeting</TITLE>
 </HEAD>
<FRAMESET COLS="30%,70%">
  <NOFRAMES>Sorry no frames in your browser</NOFRAMES>
  <FRAME SRC=fr-txt11.htm >
  <FRAME SRC=fr-txt12.htm NAME="results">
</FRAMESET>
</HTML>
+END+


rm -f head tail
